Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemExsltFunction

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemTemplate
                        |
                        +--org.apache.xalan.templates.ElemExsltFunction

public class ElemExsltFunction
extends ElemTemplate

**For advanced use only** Implement func:function.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.templates.ElemTemplate
`m_frameSize`

Constructor Summary
`ElemExsltFunction()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` Called after everything else has been recomposed, and allows the function to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer, XObject[] args)`
`java.lang.String` | `getNodeName()` Return the node name, defined in the Constants class.
`int` | `getResultIndex()` Provides the EXSLT extension handler access to the return value.
`int` | `getXSLToken()` Get an integer representation of the element type.

Methods inherited from class org.apache.xalan.templates.ElemTemplate
`endCompose, execute, getMatch, getMode, getName, getPriority, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, recompose, setLocaterInfo, setMatch, setMode, setName, setPriority, setStylesheet`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExsltFunction

    public ElemExsltFunction()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an integer representation of the element type.
  Returns:
    An integer representation of the element, defined in the Constants class.
  Overrides:
    getXSLToken in class ElemTemplate
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name, defined in the Constants class.
  Returns:
    The node name
  Overrides:
    getNodeName in class ElemTemplate
  See Also:
    `org.apache.xalan.templates.Constants.`

### execute

    public void execute(TransformerImpl transformer,
                        XObject[] args)
                 throws TransformerException

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  Called after everything else has been recomposed, and allows the function to set remaining values that may be based on some other property that depends on recomposition. Also adds a slot to the variable stack for the return value. The result element will place its value in this slot.
  Overrides:
    compose in class ElemTemplate

### getResultIndex

    public int getResultIndex()

  Provides the EXSLT extension handler access to the return value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.